
From: Anton Blanchard <anton@samba.org>

From: Milton Miller <miltonm@bga.com>

We werent enforcing the minimum hardware MMU hashtable size.

Signed-off-by: Milton Miller <miltonm@bga.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/prom.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-minimum-hashtable-size arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-minimum-hashtable-size	2005-01-18 20:56:49.611845864 -0800
+++ 25-akpm/arch/ppc64/kernel/prom.c	2005-01-18 20:56:49.616845104 -0800
@@ -1055,7 +1055,7 @@ void __init early_init_devtree(void *par
 			rnd_mem_size <<= 1;
 
 		/* # pages / 2 */
-		pteg_count = (rnd_mem_size >> (12 + 1));
+		pteg_count = max(rnd_mem_size >> (12 + 1), 1UL << 11);
 
 		ppc64_pft_size = __ilog2(pteg_count << 7);
 	}
_
